## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui
Class ContextAccessibleTableViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.datatools.sqltools.common.ui.tableviewer.AccessibleTableViewer
                      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.ContextAccessibleTableViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class ContextAccessibleTableViewer

extends AccessibleTableViewer

AccessibleTableViewer for routine editor, like the one in objectviewer package, Add a "Add Row" in context menu.

Author:
  sul

Nested Class Summary
`class` `ContextAccessibleTableViewer.AddRowAction`

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.common.ui.tableviewer.AccessibleTableViewer
`GROUP_COPY`

Constructor Summary
`ContextAccessibleTableViewer(org.eclipse.swt.widgets.Composite parent, int index)`
`ContextAccessibleTableViewer(org.eclipse.swt.widgets.Composite parent, int style, int index)`
`ContextAccessibleTableViewer(org.eclipse.swt.widgets.Table table, int index)`

Method Summary
`void` `setNeedPostFix(boolean needPostFix)`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.tableviewer.AccessibleTableViewer

`add, add, cancelEditing, clear, doDelete, doDeleteAll, doInsertRow, doRefresh, doRevert, doSave, doSetNull, doUpdateValue, editElement, getCellEditors, getCellModifier, getColumnProperties, getControl, getCursor, getElementAt, getLabelProvider, getOrCreateRow, getRow, getTable, insert, isCellEditorActive, isDirty, isReadonly, movedownRow, moveupRow, refresh, refreshViewer, remove, remove, replace, reveal, setCellEditors, setCellModifier, setColumnProperties, setCursor, setDirty, setFocus, setItemCount, setLabelProvider, setSortable`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSelection, getSorter, refresh, refresh, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSelection, setSorter, setUseHashlookup, testFindItem, testFindItems, update, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Constructor Detail

### ContextAccessibleTableViewer

    public ContextAccessibleTableViewer(org.eclipse.swt.widgets.Composite parent,
                                        int style,
                                        int index)

### ContextAccessibleTableViewer

    public ContextAccessibleTableViewer(org.eclipse.swt.widgets.Composite parent,
                                        int index)

### ContextAccessibleTableViewer

    public ContextAccessibleTableViewer(org.eclipse.swt.widgets.Table table,
                                        int index)

Method Detail

### setNeedPostFix

    public void setNeedPostFix(boolean needPostFix)